'use strict';

module.exports = {
  load () {
    // execute when package loaded
    
  },

  unload () {
    // execute when package unloaded
  },

  // register your ipc messages here
  messages: {
    'open' () {
      // open entry panel registered in package.json
      Editor.Panel.open('testext');
    },
    'say-hello' () {
      // Editor.log('Hello World!');
      Editor.log('Hello World!'+ Editor.Selection.select );
       
      // send ipc message to panel
      Editor.Ipc.sendToPanel('testext', 'testext:hello');
    },
    'clicked' () {
      Editor.log('Button clicked!');
    }
  },
};